<?php
require('../fpdf181/fpdf.php');

class pdf extends FPDF
{
	public function header()
	{
	// Encabezado
	}

	public function MultiCellAll($yi,$xi,$ancho,$alto,$texto,$border,$alineacion,$relleno)
	{
	// Escribir varias columnas
	//MultiCell(ancho,alto,texto,border,alineacion,relleno)
		$x1 = 0;
		$y1 = $yi;
		$i  = 0;
		$maxSize = $yi;
		foreach ($texto as $posicion=>$columna)
		{
			$this->SetXY( $x1+$xi[$i], $y1);
			$this->MultiCell($ancho[$i], $alto[$i], $columna,$border[$i],$alineacion[$i],$relleno[$i]);
			$i += 1;
			if ( $maxSize < ($this->GetY()  ) )
				$maxSize = $this->GetY() ;
		}
		return ( $maxSize - $yi );
	}

	public function footer()
	{
		// pie de pagina
	}
}

function Ymd_dmY(string $fecha, string $separador = "/"):string
{
	$ano=substr($fecha,0,4);
	$mes=substr($fecha, 5,2);
	$dia=substr($fecha, 8,2);
	$_fecha=$dia.$separador.$mes.$separador.$ano; 
	return $_fecha;
}

function formatoFecha($fecha)
{
	$date   = date_format($fecha, 'F, jS Y');
	//$date   =	date('d/ m/ Y');
	return $date;
}


function SetCurrency(float $valor, string $signo = '$'):string
{
	return $signo.number_format($valor,2,'.','');
}

// Se define el tamaño de hoja y margenes
$fpdf = new pdf('p','mm','letter',true);
$fpdf->AddPage('portrait', 'letter');
$fpdf->SetMargins(10,30,20,20);
// Datos de la comapañia
require_once "../modelos/Empresa.php";
$empresa				= new Empresa();
$rsptae					= $empresa->buscarempresa();
$rege						= $rsptae->fetch_object();
$licenialicore	= $rege->licenciadelicor;

// Datos de cliente y factura
//obtenemos los datos de la cabecera de la venta actual
require_once "../modelos/Ventan.php";
$venta					= new Ventan();
$rsptav					=$venta->ventacabecera($_GET["id"]);
//recorremos todos los valores que obtengamos
$regv						=$rsptav->fetch_object();

$cliente    		=$regv->cliente;
$direccion			=$regv->direccion;
$telefono   		=$regv->telefono;
$rif        		=$regv->num_documento;
$licencia_licor	=$regv->licencia_licor;
$licencia_licord=$regv->licencia_licord;
$tdoc						=$regv->tipo_documento;
$cliented   		=$regv->cliented;
$direcciond			=$regv->direcciond;
$telefonod  		=$regv->telefonod;
$rifd       		=$regv->num_documentod;
$tdocd					=$regv->tipo_documentod;
$vendedor				=$regv->vendedor;
$impuesto       =$regv->impuesto/100;
$conductor			=$regv->chofer;
$tipo_documentoc=$regv->tipo_documentoc;
$num_documentoc	=$regv->num_documentoc;
$vehiculo				=$regv->vehiculo;
$placa					=$regv->placa;
$ordendecompra	=$regv->ordendecompra;
$cproveedor			=$regv->cproveedor; 
$tasa_dollar		=$regv->tasa_dollar;
$modopago				='CONTADO';

$cuidad     		="Caracas";
$longitud				=strlen($regv->num_comprobante1);
$serie					='0000';
$prefac					= substr($serie, 1, 4-$longitud);
$nrofactura			='N'.$prefac.$regv->num_comprobante1;
//$nrofactura		=$regv->num_comprobante;
$Fecha 			=$regv->fecha;
$Fecha1			=Ymd_dmY($Fecha);

if ($tdoc=="RIF"){
    $rif 	= "J-".$rif;
    $rift 	= "RIF";
}else{
    $rif 	= "CI-".$rif;
    $rift 	= "CÉDULA";
}
if ($tdocd=="RIF"){
	$rifd 	= "J-".$rifd;
	$riftd 	= "RIF";
}else{
	$rifd 	= "CI-".$rifd;
	$riftd 	= "CÉDULA";
}
if ($tipo_documentoc=="RIF"){
	$rifdc 	= "J-".$num_documentoc;
	$riftdc = "RIF";
}else{
	$rifdc 	= "CI-".$num_documentoc;
	$riftdc = "CÉDULA";
}


//$fpdf	->Image('FacturaAlimentoDaniel1.jpg' , 17 ,8, 180 , 210,'JPG', '');
//Titulos del encabezado
$fpdf	->SetFillColor(255,255,255);
$fpdf	->SetTextColor(0,0,0); 
$fpdf	->SetLineWidth(0.3);
$fpdf	->SetDrawColor(0,0,0);

/* $fpdf	->SetFillColor(0,0,0);
$fpdf	->SetTextColor(255,255,255); */    

$y		=32;
$x1		=112.7;
$fpdf	->SetXY($x1,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(50, 6, 'NOTA DE ENTREGA NO.', '0', 0, 'L', 1);
$fpdf	->MultiCell(28, 6, $nrofactura, '0', 'L', 1);
$y		=$fpdf->GetY();
$fpdf	->SetXY($x1,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(50, 4, 'FECHA:', '0', 0, 'L', 1);
$fpdf	->MultiCell(28, 4, $Fecha1, '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=19;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 6.5);
$fpdf	->Cell(25, 4, 'LICENCIA DE LICOR:', '0', 0, 'L', 1);
$fpdf	->Cell(15, 4, utf8_decode($licenialicore), '0', 0, 'L', 1);
/*
$fpdf	->MultiCell(140, 4, utf8_decode('Grado Alcohólico de 36 GL. Fabricante LANDER & VERA C.A./ BODEGAS RPB Procedencia: Producto NACIONAL / IMPORTADO Uso: Bebida. Clase: Licor de Ron / Vino'), '0', 'L', 1);
*/
$y		=$fpdf->GetY()+4;


$yl		=$y;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 8);
$fpdf	->Cell(21, 4, 'CLIENTE', '0', 0, 'L', 1);
$fpdf	->SetFont('Helvetica', 'B', 6.5);
$x		=58;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(24, 4, utf8_decode('LICENCIA DE LICOR'), '0', 0, 'L', 1);
$x		=83;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(30, 4, utf8_decode($licencia_licor), '0', 0, 'L', 1);
$fpdf	->SetXY($x1,$y);
$fpdf	->SetFont('Helvetica', 'B', 8);
$fpdf	->Cell(21, 4, 'DESPACHO', '0', 0, 'L', 1);
$fpdf	->SetFont('Helvetica', 'B', 6.5);
$x		=145;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(24, 4, utf8_decode('LICENCIA DE LICOR'), '0', 0, 'L', 1);
$x		=170;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(27, 4, utf8_decode($licencia_licord), '0', 0, 'L', 1);
$yf		=$fpdf->GetY();

//cuadrado del encabezado
$y		=$fpdf->GetY()+6;
$fpdf	->Rect(20,$y-6,92.5,5);
$fpdf	->Rect(112.5,$y-6,84,5);
$yd1	=$y;

//Encabezado datos del lado izquierdo cliente
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, 'NOMBRE', '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(70, 4, utf8_decode($cliente), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$yfp	=$y;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('DIRECCIÓN'), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 6);
$fpdf	->MultiCell(70, 4, utf8_decode($direccion), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$yd11	=$y;

//Encabezado datos del Lado Derecho del cliente
$y		=$yd1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('NOMBRE'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(62, 4, utf8_decode($cliented), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('DIRECCIÓN'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 6);
$fpdf	->MultiCell(62, 4, utf8_decode($direcciond), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$yd22	=$y; 

$yd123 = $yd11;
if ($yd22>$yd11){
	$yd123 = $yd22;
}

$y = $yd123;
//Encabezado datos del lado izquierdo cliente 2
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode($riftd), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(20, 4, utf8_decode($rif), '0', 'L', 1);
//$y		=$fpdf->GetY()+1;
$x		=63;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('TELÉFONO'), '0', 0, 'L', 1);
$x		=83.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(28.5, 4, utf8_decode($telefono), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('FACTURA GUÍA'), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(70, 4, utf8_decode($nrofactura), '0', 'L', 1);
//$y		=$fpdf->GetY()+1;
$x		=63;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('PAGO'), '0', 0, 'L', 1);
$x		=83.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(28.5, 4, utf8_decode($modopago), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('C. PROVEEDOR'), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(70, 4, utf8_decode($cproveedor), '0', 'L', 1);
//$y		=$fpdf->GetY()+1;
$x		=62.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 5.4);
$fpdf	->Cell(20, 4, utf8_decode('ORDEN DE COMPRA'), '0', 0, 'L', 1);
$x		=83.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 6);
$fpdf	->MultiCell(28.5, 4, utf8_decode($ordendecompra), '0', 'L', 1);
$yd     = $fpdf->GetY();

$y = $yd123;
//Encabezado datos del Lado Derecho del cliente 2
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode($riftd), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(20, 4, utf8_decode($rifd), '0', 'L', 1);
//$y		=$fpdf->GetY()+1;
$x		=$x1+42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('TELÉFONO'), '0', 0, 'L', 1);
$x		=$x1+62.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(20.5, 4, utf8_decode($telefonod), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('CONDUCTOR'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(30.5, 4, utf8_decode($conductor), '0', 'L', 1);
$x		=$x1+52;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->MultiCell(12, 4, utf8_decode($riftdc), '0', 'L', 1);
$x		=$x1+65;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(18, 4, utf8_decode($rifdc), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('VEHÍCULO'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(30.5, 4, utf8_decode($vehiculo), '0', 'L', 1);
$x		=$x1+52;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->MultiCell(12, 4, utf8_decode('PLACA'), '0', 'L', 1);
$x		=$x1+65;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(18, 4, utf8_decode($placa), '0', 'L', 1);

$yi     = $fpdf->GetY();

if ($yi>$yd){
  $yd=$yi;
}
if ($yd22>$yd11){
	$yd11=$yd22;
}

$difer = $yd - 74;

//Cuadrado del encabezado del cliente
$fpdf	->Rect(20,$yf+5,21.5,($yd-$yf)-4);
$fpdf	->Rect(58,$yf,25,5);
$fpdf	->Rect(112.5,$yf+5,20.5,($yd-$yf)-4);
$fpdf	->Rect(145,$yf,25,5);
$fpdf	->Rect(20,$yf,92.5,($yd-$yf)+1);
$fpdf	->Rect(112.5,$yf,84,($yd-$yf)+1);
//entre lineas
$fpdf	->Rect(20,$yfp-0.5,176.5,0);
$fpdf	->Rect(20,$yd11-0.5,176.5,0);
$fpdf	->Rect(20,$yd11+4.5,176.5,0);
$fpdf	->Rect(20,$yd11+9.5,176.5,0);
//para el teléfono
$fpdf	->Rect(62.5,$yd11-0.5,0,15.5);
$fpdf	->Rect(83.3,$yd11-0.5,0,15.5);

$fpdf	->Rect(154,$yd11-0.5,0,5);
$fpdf	->Rect(175,$yd11-0.5,0,5);
//para chofer
$fpdf	->Rect(164.4,$yd11+4.5,0,10.5);
$fpdf	->Rect(177,$yd11+4.5,0,10.5);

/*
     $fpdf	->SetFillColor(0,0,0);
 $fpdf	->SetTextColor(255,255,255); */ 

// Encabezdo del detalle
//Fijamos el eje de y en 70
//$y		=70+12;
$y		=$yd+4;
$yf   =$y;
$x		=20.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(50, 8, utf8_decode('DENOMINACIÓN COMERCIAL'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+51,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(14, 8, utf8_decode('CANTIDAD'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+66,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(9, 8, utf8_decode('# U.M'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+75,$y);
$fpdf	->MultiCell(28, 8, utf8_decode('LITROS X ENVASE'), '0', 'C', 1);
$fpdf	->SetXY($x+104,$y);
$fpdf	->MultiCell(24, 8, utf8_decode('TOTAL LITROS'), '0', 'C', 1);
/* $fpdf	->SetXY($x+101,$y);
$fpdf	->Cell(20, 8, utf8_decode('PRECIO Bs.'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+122,$y);
$fpdf	->MultiCell(20, 4, utf8_decode('TOTAL Bs. LIQUIDO'), '0', 'C', 1); */
$fpdf	->SetXY($x+129,$y);
$fpdf	->Cell(24, 8, utf8_decode('PRECIO $'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+154,$y);
$fpdf	->Cell(21, 8, utf8_decode('TOTAL'), '0', 0, 'C', 1);
$y		=$fpdf->GetY();

//Cuadro del encabezado del detalle
$fpdf	->Rect(20,$yf,51,($y-$yf)+8.5);
$fpdf	->Rect(20+51,$yf,15,($y-$yf)+8.5);
$fpdf	->Rect(20+66,$yf,9,($y-$yf)+8.5);
$fpdf	->Rect(20+75,$yf,29,($y-$yf)+8.5);
$fpdf	->Rect(20+104,$yf,25,($y-$yf)+8.5); 
//$fpdf	->Rect(20+101,$yf,21,($y-$yf)+8.5);
$fpdf	->Rect(20+129,$yf,25,($y-$yf)+8.5);
//$fpdf	->Rect(20+143,$yf,11,($y-$yf)+8.5);
$fpdf	->Rect(20+154,$yf,22,($y-$yf)+8.5);

//Cuadro del detalle
$yd1     =9;
$alto    =60;
$fpdf	->Rect(20,$yf+$yd1,51,$alto);
$fpdf	->Rect(20+51,$yf+$yd1,15,$alto);
$fpdf	->Rect(20+66,$yf+$yd1,9,$alto);
$fpdf	->Rect(20+75,$yf+$yd1,29,$alto);
$fpdf	->Rect(20+104,$yf+$yd1,25,$alto); 
//$fpdf	->Rect(20+101,$yf+$yd1,21,$alto);
$fpdf	->Rect(20+129,$yf+$yd1,25,$alto);
//$fpdf	->Rect(20+143,$yf+$yd1,11,$alto);
$fpdf	->Rect(20+154,$yf+$yd1,22,$alto); 


// Detalle de la factura
//Buscamos los detalles de la factura

$rsptad=$venta->ventadetalles($_GET["id"]);

// 
//articulo, codigo, cajas, unidades, precio_venta, descuento, subtotal, idcategoriadeunidades, 
//nombre, idunidademedidad, nombre, unidadesxcajas
$fpdf	->SetY($y+6.5);
$fpdf	->SetFont('Helvetica', 'B', 6.5);
/* $fpdf	->SetFillColor(255,255,255);
$fpdf	->SetLineWidth(0.5);
$fpdf	->SetDrawColor(90,90,90);
$fpdf	->SetTextColor(0,0,0); */

$subtotal			=0;
$subtotald		=0;
$total				=0;
$totald				=0;
$iva					=0;
$ivad					=0;
$ivapvp				=0;
$exento				=0;
$exentod			=0;
$totaldollar	=0;
$imp 					= 1+(16/100);
$totalG				=0;
$totalGpvp		=0;
$totalapagar	=0;
$totalapagard	=0;
$totalpvp			=0;
$subtotalpvp	=0;
$totalart16		=0;
$litrosxenvase=0;
$totalliquido	=0;
$y						=$fpdf->GetY()+3;
$x		    		=20.5;
$h 						=3.5;
$totalpeso		=0;
$totallitros	=0;
while($regd=$rsptad->fetch_object()){
	$precio 				=	$regd->precio_venta;
	$preciod 				=	$regd->precio_ventad;
	$litrosxenvase	= $regd->cajas*$regd->unidadesxcaja*$regd->capacidad;
	$totalliquido		=	$regd->unidadesxcaja*$regd->precio_venta;
	$subtotal				=	$regd->cajas*$precio;
	$subtotald			=	$regd->cajas*$preciod;
  $total					=	$total+$subtotal;
	$totald					=	$totald+$subtotald;
	$totalpeso			=	$totalpeso + ($regd->cajas*$regd->peso);
	$totallitros		=	$totallitros + $litrosxenvase;
    if ($regd->exento=='si'){
        $exento		=$exento+$subtotal;
        $exentod	=$exentod+$subtotald;
    }else{
        $iva		=$iva+($subtotal*$impuesto);
        $ivad		=$ivad+($subtotald*$impuesto);
    }
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(50, $h, utf8_decode($regd->articulo), '0', 'L', 1);
	$y1		=$fpdf->GetY();
	$fpdf	->SetXY($x+51,$y);
	$fpdf	->Cell(14, $h, number_format($regd->cajas, 0, ',', '.'), '0', 0, 'R', 1);
	$fpdf	->SetXY($x+66,$y);
	$fpdf	->Cell(8, $h, number_format($regd->unidadesxcaja, 0, ',', '.'), '0', 0, 'R', 1);
	$fpdf	->SetXY($x+75,$y);
	$fpdf	->Cell(28, $h, utf8_decode($regd->capacidad), '0', 0, 'R', 1);
	$fpdf	->SetXY($x+104,$y);
	$fpdf	->Cell(24, $h, utf8_decode($litrosxenvase), '0', 0, 'R', 1);
	/* $fpdf	->SetXY($x+101,$y);
	$fpdf	->Cell(20, $h, number_format($precio, 2, ',', '.'), '0', 0, 'R', 1);
	$fpdf	->SetXY($x+122,$y);
	$fpdf	->Cell(20, $h, number_format($totalliquido, 2, ',', '.'), '0', 0, 'R', 1); */	
	$fpdf	->SetXY($x+129,$y);
	$fpdf	->Cell(24, $h, number_format($preciod, 2, ',', '.'), '0', 0, 'R', 1);
	//$fpdf	->Cell(10, 4, '1.000.000,00', '0', 0, 'R', 1);
	$fpdf	->SetXY($x+154,$y);
	$fpdf	->Cell(21, $h,  number_format($subtotald, 2, ',', '.'), '0', 0, 'R', 1); 
	$y		=$fpdf->GetY();
	if ($y1>$y){
		$y = $y1 ;
	}else{
		$y = $y ;
	}
    //$y		=$fpdf->GetY()+5;
		
}


$totalapagar	=	$total + $iva;
$totalapagard	=	$totald + $ivad;

//Sub-total, impuesto y total ****************
//Sub-total
//$fpdf	->SetFillColor(0,0,0);
//$fpdf	->SetTextColor(255,255,255); 
$x1			=133;
$y1			=85+$difer;
$xd     =41;
$fpdf		->SetFont('Helvetica', '',5);
$y			=$y1+$alto+3;
$x			=$x1;

//Total
//$y		=$fpdf->GetY()+7;
/* $fpdf	->SetXY($x+25.5,$y-10); //Total en $
$fpdf	->Cell(25, 6, number_format($totald, 2, ',', '.'), '0', 0, 'R', 1); */

$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(40, 4, 'Total:', '', 0, 'R', 1);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->Cell(22,4, number_format($totald, 2, ',', '.'), '', 0, 'R', 1);

/* $y		=$y+4.5;
$fpdf	->SetFont('Helvetica', 'B', 6);
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(40, 4, ('Iva '.($impuesto*100).'%:'), '', 0, 'R', 1);
$fpdf	->SetFont('Helvetica', 'B', 5);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->Cell(22, 4, number_format($iva, 2, ',', '.'), '', 0, 'R', 1);

$y		=$y+4.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 6);
$fpdf	->Cell(40, 4, 'Exento:', '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->SetFont('Helvetica', 'B', 5);
$fpdf	->Cell(22, 4, number_format($exento, 2, ',', '.'), '', 0, 'R', 1);

$y		=$y+4.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 6);
$fpdf	->Cell(40, 4, 'Total:', '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->SetFont('Helvetica', 'B', 5);
$fpdf	->Cell(22, 4, number_format($totalapagar, 2, ',', '.'), '', 0, 'R', 1);  */


//Cuadros
$y		=$y1+$alto+3;
$x		=$x1+20;
$fpdf	->Rect($x,$y,43,4.7);
/* $fpdf	->Rect($x,$y+4.7,43,4.7);
$fpdf	->Rect($x,$y+9.4,43,4.7);
$fpdf	->Rect($x,$y+14.1,43,4.7); */
//LINEAS
$x		=$x+21;
$fpdf	->Rect($x,$y,0,4.7);
/* $fpdf	->Rect($x,$y+4.7,0,4.7);
$fpdf	->Rect($x,$y+9.4,0,4.7);
$fpdf	->Rect($x,$y+14.1,0,4.7); */

//TEXTO
//$fpdf	->SetFillColor(0,0,0);
//$fpdf	->SetTextColor(255,255,255);
$x1			=19;
$y1			=85+$difer;
$fpdf		->SetFont('Helvetica', 'B',6);
$y			=$y1+$alto+3;
$x			=$x1;
/* $fpdf	->SetXY($x+40,$y);
$fpdf	->Cell(20, 4,  number_format($totalpeso, 2, ',', '.').utf8_decode(' KG.'), '0', 0, 'C', 1); 
$fpdf	->Cell(20, 4,  number_format($totallitros, 2, ',', '.').utf8_decode(' LTS.'), '0', 0, 'C', 1) */; 
//$fpdf	->Cell(20, 4,  utf8_decode($Fecha), '0', 0, 'C', 1);
$y			=$y;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(125, 3, utf8_decode('(*) Valor base el cual se percibe el impuesto según el artículo 12 del IVA.'), '0', 'C', 1);
$y			=$y + 3;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(125, 3, utf8_decode('Factura que sera pagada totalmente mediante transferencia bancaria o deposito.'), '0', 'C', 1);
$y			=$y + 3;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(125, 3, utf8_decode('Documento sin Enmienda. La entrega de esta Factura no libera la obligación de deuda en ella contenida.'), '0', 'C', 1);
/*
$y			=$y + 3;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(125, 3, utf8_decode('Todo cheque devuelto genera el 2% de recargo por gastos Administrativos.'), '0', 'C', 1);
*/
$y			=$y + 3;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(125, 3, utf8_decode('PAGOS A NOMBRE DE: DISTRIBUIDORA DE PRODUCTOS ALIMENTICIOS CHOCOMILK, C.A. RIF J-00330596-0'), '0', 'C', 1);
$y			=$y + 3;
$x			=$x + 20;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(40, 4,  utf8_decode('TASA BCV PARA EL DIA DE HOY: '), '0', 0, 'C', 1); 
$fpdf	->Cell(20, 4,  utf8_decode($Fecha), '0', 0, 'C', 1);
$fpdf	->Cell(5, 4,  utf8_decode('DE: '), '0', 0, 'C', 1);
$fpdf	->Cell(25, 4,  number_format($tasa_dollar, 2, ',', '.'), '0', 0, 'C', 1);
$y			=$y + 20;
$x			=16 ;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(40, 4,  utf8_decode('Firma y sello cajero despachador'), '0', 0, 'C', 1); 

$fpdf->OutPut('Factura_'.$nrofactura,'I');